import { world, BlockLocation, EntityQueryOptions } from "mojang-minecraft";

world.events.tick.subscribe(() =>{

	const query = new EntityQueryOptions();
	query.type = 'new:totem';
	const entityIterator = world.getDimension('overworld').getEntities(query);

	let players = Array.from(world.getPlayers());
	let w = world.getDimension("overworld");

	for (let i = 0; i < players.length; i++) {
		if(players[i].hasTag("totem_active")){
			players[i].removeTag("totem_active");
			players[i].runCommand(`replaceitem entity @s slot.weapon.mainhand 0 new:tp_totem_activo`);
			players[i].runCommand(`summon new:totem ~~~ minecraft:entity_spawned "${players[i].name}"`);
			players[i].runCommand(`tag @s add active`);
			players[i].runCommand(`playsound random.totem_use @s ~~~ 4 1 4`);

		}
		if(players[i].hasTag("use")){
			players[i].runCommand(`tp @s @e[type=new:totem,name="${players[i].name}"]`);
			players[i].removeTag("active");
			players[i].runCommand(`replaceitem entity @s slot.weapon.mainhand 0 air`);
			players[i].runCommand(`playsound mob.endermen.portal @s ~~~ 4 1 4`);
			players[i].runCommand(`event entity @e[name="${players[i].name}"] new:despawn_entity`);
			players[i].removeTag("use");
		}
	}

});